# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@datacom.kz> 

from Products.Formulator.Field import ZMIField
from Products.Formulator import Widget, Validator

class FakeField(ZMIField):
    meta_type = "FakeField"

    widget = Widget.TextWidgetInstance
    validator = Validator.StringValidatorInstance

    def _render_helper(self, key, value, REQUEST):
        """ """
        attrs = ""
        value = self._get_default(key, value, REQUEST)
        css = self.get_value('css_class')
        if css:
            attrs += 'class="%s"'%css
        return '<span %s>%s</span>'%(attrs, value)

            
    def _validate_helper(self, key, REQUEST):
        """ """
        return ''
